# cv::Vector< _Tp >::Hdr Struct Reference

`#include <operations.hpp>`

List of all members.

## Public Member Functions

| Hdr ()

## Public Attributes

size_t | capacity
_Tp * | data
_Tp * | datastart
int * | refcount
size_t | size

### template<typename _Tp>
struct cv::Vector< _Tp >::Hdr

## Constructor & Destructor Documentation

template<typename _Tp>

cv::Vector< _Tp >::Hdr::Hdr | ( | ) | `[inline]`

## Member Data Documentation

template<typename _Tp>

size_t cv::Vector< _Tp >::Hdr::capacity

template<typename _Tp>

_Tp* cv::Vector< _Tp >::Hdr::data

template<typename _Tp>

_Tp* cv::Vector< _Tp >::Hdr::datastart

template<typename _Tp>

int* cv::Vector< _Tp >::Hdr::refcount

template<typename _Tp>

size_t cv::Vector< _Tp >::Hdr::size

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines